# $Revision: 1.35.2.1.2.3 $, $Date: 2005/12/19 19:48:48 $
#
# Conditional build:
%bcond_without	doc		# without documentation (HOWTOS) which needed TeX
%bcond_without	patchedkernel	# without ippool, prestate, log (which requires patched 2.4.x kernel)
#
%define		netfilter_snap		20040302
%define		iptables_version	1.2.9
%define		_kernelsrcdir		/usr/src/linux-2.4

Summary:	Extensible packet filtering system && extensible NAT system
Summary(pl):	System filtrowania pakietw oraz system translacji adresw (NAT)
Summary(pt_BR):	Ferramenta para controlar a filtragem de pacotes no kernel-2.4.x
Summary(ru):	      Linux
Summary(uk):	̦    Ʀ  Linux
Summary(zh_CN):	Linuxں˰˹
Name:		iptables24
%if %{netfilter_snap} != 0
Version:	%{iptables_version}_%{netfilter_snap}
%else
Version:	%{iptables_version}
%endif
%define		_rel	11.2
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Vendor:		Netfilter mailing list <netfilter@lists.samba.org>
Group:		Networking/Daemons
Source0:	ftp://ftp.netfilter.org/pub/iptables/snapshot/iptables-%{iptables_version}-%{netfilter_snap}.tar.bz2
# Source0-md5:	66a4b6d48127c6fd791ddb3ab449e3ba
Source1:	cvs://cvs.samba.org/netfilter/iptables-howtos.tar.bz2
# Source1-md5:	2ed2b452daefe70ededd75dc0061fd07
Source2:	iptables24.init
Source3:	ip6tables24.init
Patch0:		iptables-man.patch
Patch1:		iptables-1.2.9-ipt_imq.patch
Patch2:		grsecurity-%{iptables_version}-iptables.patch
Patch3:		%{name}-dstlimit.patch
Patch4:		%{name}-noext.patch
Patch5:		%{name}-glibc225.patch
Patch6:		%{name}-config-nosource.patch
Patch7:		%{name}-compat.patch
Patch8:		%{name}-compat-man.patch
# applied in %%install
Patch9:		iptables-include_path.patch
URL:		http://www.netfilter.org/
BuildRequires:	perl-base
%if %{with doc}
BuildRequires:	sgml-tools
BuildRequires:	sgmls
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
%endif
%if %{with patchedkernel}
%if %{netfilter_snap} != 0
BuildRequires:	kernel24-headers(netfilter) = %{iptables_version}-%{netfilter_snap}
Requires:	kernel(netfilter) = %{iptables_version}-%{netfilter_snap}
%else
BuildRequires:	kernel24-headers(netfilter) = %{iptables_version}
Requires:	kernel(netfilter) = %{iptables_version}
%endif
%endif
Obsoletes:	netfilter
Obsoletes:	ipchains
ExclusiveArch:	%{ix86} sparc sparc64 alpha ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An extensible NAT system, and an extensible packet filtering system.
Replacement of ipchains in 2.4 kernels.

Built for kernel %{_kernel_ver}. With other versions may work more or
less incorrectly.

%description -l pl
Wydajny system translacji adresw (NAT) oraz system filtrowania
pakietw. Zamiennik ipchains w jdrach 2.4

Zbudowano dla jdra %{_kernel_ver}. Z innymi wersjami moe dziaa
bardziej lub mniej niepoprawnie.

%description -l pt_BR
Esta  a ferramenta que controla o cdigo de filtragem de pacotes do
kernel 2.4, obsoletando ipchains. Com esta ferramenta voc pode
configurar filtros de pacotes, NAT, mascaramento (masquerading),
regras dinmicas (stateful inspection), etc.

Built for kernel %{_kernel_ver}. With other versions may work more or
less incorrectly.

%description -l ru
iptables        Linux. 
     (firewalls)  IP
,  ..

Built for kernel %{_kernel_ver}. With other versions may work more or
less incorrectly.

%description -l uk
iptables   Ʀæ Ԧ ֦  Ҧ Linux. 
   ͦצ  (firewalls)  IP
, .

Built for kernel %{_kernel_ver}. With other versions may work more or
less incorrectly.

%package compat
Summary:	Compatibility links
Summary(pl):	Linki kombatybilnoci
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	firewall-userspace-tool
Provides:	iptables = %{version}-%{release}
Obsoletes:	iptables

%description compat
Compatibility links with standard iptables.

%description compat -l pl
Linki dla zachowania kompatybilnoci z tradycyjnym iptables.

%package devel
Summary:	Libraries and headers for developing iptables extensions
Summary(pl):	Biblioteki i nagwki do tworzenia rozszerze iptables
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# is iptables plugin ABI stable enough to use one -devel for both iptables versions???
#Provides:	iptables-devel = %{version}-%{release}
Obsoletes:	iptables-devel

%description devel
Libraries and headers for developing iptables extensions.

%description devel -l pl
Biblioteki i pliki nagwkowe niezbdne do tworzenia rozszerze dla
iptables.

%package init
Summary:	Iptables init (RedHat style)
Summary(pl):	Iptables init (w stylu RedHata)
Group:		Networking/Admin
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	firewall-init
Obsoletes:	firewall-init-ipchains
Obsoletes:	iptables-init

%description init
Iptables-init is meant to provide an alternate way than firewall-init
to start and stop packet filtering through iptables(8).

%description init -l pl
Iptables-init ma na celu udostpnienie alternatywnego w stosunku do
firewall-init sposobu wczania i wyczania filtrw IP jdra poprzez
iptables(8).

%prep
%setup -q -a1 -n iptables-%{iptables_version}-%{netfilter_snap}
%patch0 -p1
%if %{with patchedkernel}
%patch1 -p1
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
rm -f extensions/.set-test

chmod 755 extensions/.*-test*
perl -pi -e 's/\$\(HTML_HOWTOS\)//g; s/\$\(PSUS_HOWTOS\)//g' iptables-howtos/Makefile

# mv manuals
mv -f iptables-restore.8 iptables24-restore.8
mv -f iptables-save.8 iptables24-save.8

%build
%{__make} all experimental \
	CC="%{__cc}" \
	COPT_FLAGS="%{rpmcflags} -D%{!?debug:N}DEBUG" \
	KERNEL_DIR="%{_kernelsrcdir}" \
	LIBDIR="%{_libdir}" \
	LDLIBS="-ldl"

%{?with_doc:%{__make} -C iptables-howtos}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/iptables,%{_mandir}/man3,%{_initrddir}}

%{__make} install install-experimental \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_sbindir} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir}

install extensions/*.so $RPM_BUILD_ROOT%{_libdir}/iptables24

# Devel stuff
cp -a include/* $RPM_BUILD_ROOT%{_includedir}/iptables
patch -p2 -d $RPM_BUILD_ROOT%{_includedir}/iptables < %{PATCH9}
install lib*/lib*.a $RPM_BUILD_ROOT%{_libdir}
install libipq/*.3 $RPM_BUILD_ROOT%{_mandir}/man3

%{?with_patchedkernel:install ippool/lib*.a $RPM_BUILD_ROOT%{_libdir}}
%{?with_patchedkernel:install ippool/ippool $RPM_BUILD_ROOT%{_sbindir}/ippool}

install %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/iptables
install %{SOURCE3} $RPM_BUILD_ROOT%{_initrddir}/ip6tables
install ip6tables-restore.8 $RPM_BUILD_ROOT%{_mandir}/man8/ip6tables24-restore.8
install ip6tables-save.8 $RPM_BUILD_ROOT%{_mandir}/man8/ip6tables24-save.8

# links for compat package
echo ".so ip6tables24.8" > $RPM_BUILD_ROOT%{_mandir}/man8/ip6tables.8
echo ".so iptables24.8" > $RPM_BUILD_ROOT%{_mandir}/man8/iptables.8
echo ".so iptables24-restore.8" > $RPM_BUILD_ROOT%{_mandir}/man8/iptables-restore.8
echo ".so iptables24-save.8" > $RPM_BUILD_ROOT%{_mandir}/man8/iptables-save.8
echo ".so ip6tables24-restore.8" > $RPM_BUILD_ROOT%{_mandir}/man8/ip6tables-restore.8
echo ".so ip6tables24-save.8" > $RPM_BUILD_ROOT%{_mandir}/man8/ip6tables-save.8
ln -sf iptables24 $RPM_BUILD_ROOT%{_sbindir}/iptables
ln -sf iptables24-restore $RPM_BUILD_ROOT%{_sbindir}/iptables-restore
ln -sf iptables24-save $RPM_BUILD_ROOT%{_sbindir}/iptables-save
ln -sf ip6tables24 $RPM_BUILD_ROOT%{_sbindir}/ip6tables
ln -sf ip6tables24-restore $RPM_BUILD_ROOT%{_sbindir}/ip6tables-restore
ln -sf ip6tables24-save $RPM_BUILD_ROOT%{_sbindir}/ip6tables-save

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- %{name} <= 1.2.9_20040302-5@2.4.26_6
echo
echo -e "\t!!! Warning !!!"
echo iptables filenames have been changed:
echo - iptables is now iptables24, etc.
echo - ip6tables is now ip6tables24, etc.
echo to use old iptables style install iptables24-compat package
echo

%post init
/sbin/chkconfig --add iptables
/sbin/chkconfig --add ip6tables

%preun init
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del iptables
	/sbin/chkconfig --del ip6tables
fi

%files
%defattr(644,root,root,755)
%{?with_doc:%doc iptables-howtos/{NAT,networking-concepts,packet-filtering}-HOWTO*}
%attr(755,root,root) %{_sbindir}/*24*
%attr(755,root,root) %{_sbindir}/ippool
%dir %{_libdir}/iptables24
%attr(755,root,root) %{_libdir}/iptables24/*.so
%{_mandir}/man8/*24*

%files compat
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*tables
%attr(755,root,root) %{_sbindir}/*tables-*
%{_mandir}/man8/*tables.*
%{_mandir}/man8/*tables-*

%files devel
%defattr(644,root,root,755)
%{?with_doc:%doc iptables-howtos/netfilter-hacking-HOWTO*}
%{_libdir}/lib*.a
%{_includedir}/iptables
%{_mandir}/man3/*

%files init
%defattr(644,root,root,755)
%attr(754,root,root) %{_initrddir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iptables24.spec,v $
Revision 1.35.2.1.2.3  2005/12/19 19:48:48  hawk
- release 11.2 to rebuild for kernel-2.4.32-1

Revision 1.35.2.1.2.2  2005/06/11 20:59:33  hawk
- release 11.1 for Ra (rebuild for kernel 2.4.31-1)

Revision 1.35.2.1.2.1  2005/03/24 13:31:44  hawk
- removed BuildConflicts for kernel-headers < 2.3.0, kernel-headers and
  kernel24-headers may co-exist in system

Revision 1.35.2.1  2005/03/17 13:36:09  hawk
- updated BRs for Ra, release 11

Revision 1.35  2005/03/10 10:28:34  havner
- rel 10

Revision 1.34  2005/02/11 16:39:04  marcus
- rel.9.
- build against 2.4.29

Revision 1.33  2005/02/11 16:29:09  marcus
- fixed BRs

Revision 1.32  2004/10/19 17:33:09  havner
- do not provide iptables-devel
- rel 8

Revision 1.31  2004/09/15 14:02:58  qboosh
- fixed patch9 name

Revision 1.30  2004/09/15 13:56:06  qboosh
- restored include_path patch, applied in install

Revision 1.29  2004/09/15 13:44:27  qboosh
- use en comments

Revision 1.28  2004/09/15 13:39:18  qboosh
- standard buildroot

Revision 1.27  2004/09/15 13:10:53  qboosh
- removed unused include_path patch, renumbered remaining ones

Revision 1.26  2004/09/15 11:06:21  qboosh
- unification

Revision 1.25  2004/08/29 11:09:56  gotar
- removed ipp2p and p2p, release 7

Revision 1.24  2004/08/18 21:02:51  undefine
- exclusive arch %{ix86} sparc sparc64 alpha ppc, same as in kernel24.spec

Revision 1.23  2004/08/05 14:09:18  andree
- added -compat-man.patch - make man pages compatible
- added ip6tables man pages
- moved provides to -compat package

Revision 1.22  2004/08/04 15:06:44  andree
- cleanups

Revision 1.21  2004/08/03 17:45:41  andree
- added missing file ippool

Revision 1.20  2004/08/03 17:32:49  andree
- added -compat.patch to coexist iptables24 with iptables
- filenames have been changed
- new package -compat with links to be compatibility with old iptables
- added trigger with warning in upgrade
- build -init with new init scripts
- added obsoletes to -devel -compat -init
- rel. 6

Revision 1.19  2004/08/02 09:19:01  marcus
- rel.5.stbr

Revision 1.18  2004/07/29 14:26:08  gotar
- R: kernel*(netfilter) = ..., cosmetics

Revision 1.17  2004/06/23 15:07:15  qboosh
- added config-nosource patch (kernel24-source no longer BRed)
- cleanups, dropped strict kernel dependency

Revision 1.16  2004/06/02 14:23:09  marcus
- fix for glibc 2.2.5

Revision 1.15  2004/05/17 20:00:06  qboosh
- typo (noticed by Slawomir Sedyka)

Revision 1.14  2004/05/16 15:43:15  dzimi
- rel 4
- update imq patch for iptables, now iptables build quite and easy ipt_IMQ

Revision 1.13  2004/05/12 20:36:51  qboosh
- BR: glibc-devel >= 2.3.3 (for IPPROTO_SCTP)

Revision 1.12  2004/04/26 19:43:10  arekm
- force all extensions installation

Revision 1.11  2004/04/26 13:17:57  arekm
- updated

Revision 1.10  2004/04/26 13:08:13  arekm
- updated to 20040302

Revision 1.9  2004/04/12 20:15:33  arekm
- revert

Revision 1.8  2004/04/12 19:52:27  arekm
- new sbindir (/sbin/)

Revision 1.7  2004/04/07 17:41:39  qboosh
- Provides+Conflicts for packages from iptables.spec; disable -init (one is enough)

Revision 1.6  2004/04/07 09:36:31  ankry
- Obsoletes: firewall-init-ipchains, rel ++

Revision 1.5  2004/03/19 00:24:44  andree
- update to 20040220 (like in kernel24)
- fix build (patch7)

Revision 1.4  2004/03/14 15:06:32  gotar
- chmod o+r %{_initrddir}/iptables, cosmetics

Revision 1.3  2004/03/14 00:39:02  gotar
- added Source1-md5,
- more strict Reqs,
- cosmetics,
- chmod o-x %{_initrddir}/iptables.

Revision 1.2  2004/03/13 23:22:20  eothane
- silly cleanups

Revision 1.1  2004/03/13 23:05:02  gotar
- forked from iptables rev. 1.107 for kernel 2.4

Revision 1.107  2004/03/13 23:02:44  gotar
- fixed patching - build with original paths, change them at install,
- added KERNEL_DIR,
- release 2.

Revision 1.106  2004/03/13 21:25:25  mmazur
- bcond unification - based on http://www.gentoo.org/dyn/use-index.xml

Revision 1.105  2004/03/02 18:57:45  pluto
- fixed include paths.

Revision 1.104  2003/12/11 20:42:12  arekm
- use 20031209 snap

Revision 1.103  2003/12/11 00:15:07  arekm
- follow kernel.spec from head (iptables 20031210)

Revision 1.102  2003/12/10 00:24:55  pzurowski
- fixed bcond's descs

Revision 1.101  2003/12/10 00:04:07  pzurowski
- switched to new style bconds

Revision 1.100  2003/12/09 22:53:34  arekm
- added ipp2p userspace patch

Revision 1.99  2003/12/06 16:59:19  arekm
- updated (skibi)

Revision 1.98  2003/12/06 01:26:57  ciesiel
- upgraded to final 1.2.9 - changes make by Skibi

Revision 1.97  2003/11/29 21:18:01  ciesiel
- changed perl to perl-base

Revision 1.96  2003/11/04 21:43:10  radzio
- fix Patch13 name

Revision 1.95  2003/11/04 21:40:45  radzio
- update ipt_p2p.patch to 1.2.9

Revision 1.94  2003/10/27 08:58:25  dzimi
- rel 2
- add iptables-1.2.8-ipt_p2p.patch

Revision 1.93  2003/10/12 01:13:32  qboosh
- fixed doc

Revision 1.92  2003/10/09 15:46:50  baggins
- cleaning up

Revision 1.91  2003/10/09 15:39:16  baggins
- 1.2.9rc1 - 20031009 CVS

Revision 1.90  2003/08/27 14:30:05  qboosh
- restored more things lost on merge (tex deps, no -lnsl), some unifications

Revision 1.89  2003/08/27 14:11:55  qboosh
- fixed pl and preun for init

Revision 1.88  2003/08/26 19:10:39  ankry
- typos, better pl

Revision 1.87  2003/08/26 12:37:26  havner
- added %post and %preun for init (chkconfig)

Revision 1.86  2003/08/26 12:23:45  havner
- cosmetics

Revision 1.85  2003/08/26 12:18:50  havner
- subpackage init added

Revision 1.84  2003/08/22 21:40:08  arekm
- kernel source needed for what to compile detection

Revision 1.83  2003/07/15 13:41:37  baggins
- really apply IMQ patch

Revision 1.82  2003/07/15 13:37:05  baggins
- bring it up-to-date with CVS so we have all extensions

Revision 1.81  2003/07/15 13:25:30  baggins
- updated IMQ patch
- removed IPMARK patch (not needed)

Revision 1.80  2003/07/12 23:01:13  ankry
- restored some lost features from rel. 1.76

Revision 1.79  2003/07/11 22:15:30  baggins
- rpm SUCKS at parseing comments

Revision 1.78  2003/07/11 12:09:07  baggins
- it's not snapshot, it's just patched

Revision 1.77  2003/07/10 14:09:05  baggins
- merged from LINUX_2_4
- 20030616 snap
- up to date with kernel.spec from HEAD

Revision 1.63.2.11  2003/06/07 11:43:48  cieciwa
- updated for last snap 2003 06 05

Revision 1.63.2.12  2003/06/05 11:19:22  cieciwa
- release 5,
- update for 2003 06 05 snap,
- fixed IPMARK compile.

Revision 1.63.2.11  2003/05/27 09:06:38  cieciwa
- changed bcond from without_tex to without_howto

Revision 1.63.2.10  2003/05/18 11:51:38  cieciwa
- updated for snap 20030518,
- updated grsecurity patch.

Revision 1.63.2.9  2003/05/15 09:24:49  qboosh
- missing dir

Revision 1.63.2.8  2003/04/23 13:13:48  cieciwa
- release 2,
- updated to snapshot 20030418.

Revision 1.63.2.7  2003/04/14 07:08:58  cieciwa
- fixed typo.

Revision 1.63.2.6  2003/04/14 06:52:39  cieciwa
- updated to version 1.2.8.

Revision 1.63.2.5  2003/04/03 15:23:02  cieciwa
- fixed BuildRequires:

Revision 1.63.2.4  2003/04/01 06:46:00  cieciwa
- release 8,
- updated to netfilter from 20030326.

Revision 1.63.2.3  2003/03/20 14:46:47  cieciwa
- uncommented requires.

Revision 1.63.2.2  2003/03/14 09:49:18  cieciwa
- prepared for 2.4.20-4.

Revision 1.63.2.1  2003/02/05 11:33:36  cieciwa
- release 7,
- updated to version from CVS to solve problem with new netfilter features.

Revision 1.63  2003/01/31 07:58:53  cieciwa
- release 6,
- s/kernel_netfilter/kernel(netfilter)/.

Revision 1.60.2.15  2002/12/10 10:16:12  cieciwa
- release 5,
- fixed IMQ module,
- ready for 2.4.20 kernel.

Revision 1.60.2.14  2002/10/23 08:45:48  cieciwa
- release 4,
- moved back include from /usr/linclude to /usr/include/iptables,
- changeing patch12 and fixed "-p" to -p1,
- NOT merged with kernel netfilter.

Revision 1.60.2.13  2002/10/23 07:01:52  cieciwa
- moved include from /usr/include/iptables/* to /usr/include/ where other
  program loking for it.

Revision 1.60.2.12  2002/10/23 06:47:53  cieciwa
- patch12 MUST BE -p0 !!!!

Revision 1.60.2.11  2002/10/21 18:06:11  baggins
- patch12 -p1

Revision 1.60.2.10  2002/10/04 08:51:26  cieciwa
- fixed bcond's.

Revision 1.60.2.9  2002/10/04 06:42:00  cieciwa
- added %%{_kernel_ver_str} to release.

Revision 1.60.2.8  2002/10/03 20:57:35  misiek
- without tex bcond

Revision 1.60.2.7  2002/09/24 18:12:45  baggins
- added grsecurity patch

Revision 1.60.2.6  2002/09/23 15:17:36  baggins
- release 3
- updated patch-o-matic userspace patches

Revision 1.60.2.5  2002/09/09 09:26:36  cieciwa
- release 2,
- readu to use with kernel-2.4.19.

Revision 1.60.2.4  2002/09/09 09:14:50  cieciwa
- updated patches fro patch-o-matic-20020825,
- added patch12,
- fixed requires [1.2.7 -> 1.2.7a].

Revision 1.60.2.3  2002/09/05 17:21:43  baggins
- removed patches 1 and 2, they are obsolete and outdated

Revision 1.60.2.2  2002/08/27 09:55:58  misiek
- 1.2.7a; nfy

Revision 1.60.2.1  2002/08/10 22:49:32  misiek
- 1.2.7 with imq patch

Revision 1.57  2002/06/10 07:40:24  cieciwa
- added BuildRequires: kernel_netfilter = 1.2.7

Revision 1.56  2002/06/10 06:29:16  cieciwa
- updated to version 1.2.7,
- added Requires: kernel_netfilter = 1.2.7 due to required header file.

Revision 1.55  2002/05/29 22:36:57  misiek
- rebuild with new kernel headers

Revision 1.54  2002/05/08 15:28:27  ggodlewski
- updated to 1.2.6a

Revision 1.53  2002/04/25 16:37:18  arturs
- fixed a small typo

Revision 1.52  2002/03/27 14:20:26  wojrus
- added Provides: firewall-userspace-tool

Revision 1.51  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/01/18 02:13:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.48  2002/01/17 14:07:49  misiek
- build debugging version only when requested

Revision 1.47  2002/01/14 00:23:30  misiek
- updated to 1.2.5

Revision 1.46  2001/11/24 15:05:08  qboosh
- adapterized, removed obsolete fix patch

Revision 1.45  2001/11/22 12:59:00  cieciwa
- updated to version 1.2.4.
NFY

Revision 1.44  2001/10/15 10:56:51  blues
- added fix patch - weak fixes, but work (v4 at least)

Revision 1.43  2001/09/23 14:14:17  orzech
- added %description devel -l pl

Revision 1.42  2001/09/23 14:06:43  orzech
- updated to 1.2.3
- updated URLs

Revision 1.41  2001/08/04 13:52:05  qboosh
- _without_ippool changed to _without_patchedkernel - more features require
  patched kernel (don't compile with vanilla 2.4.7)

Revision 1.40  2001/05/22 09:06:23  wiget
- switch to new conditional builds macros 
  (bcond_on_ -> _with_/bcond_off_ -> _without_)
  no release changes only simple s/// perfored

Revision 1.39  2001/05/21 16:41:44  baggins
- one more typo-fixing patch

Revision 1.38  2001/05/21 15:56:37  baggins
- typo

Revision 1.37  2001/05/21 15:52:55  baggins
- release 3
- added some fixes
- new table (prestate)
- log patch (-l option for iptables)

Revision 1.36  2001/05/21 01:38:31  baggins
- relase 2
- better ipv6-icmp fix

Revision 1.35  2001/05/12 18:22:55  qboosh
- _without_ippoll (ippool requires patched 2.4.x kernel)

Revision 1.34  2001/05/09 10:56:31  blues
- specs updated

Revision 1.33  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.32  2001/04/25 21:40:02  blues
- buildreq tetex-dvips
NOTE: making docs is really dirty. Can someone look at that?

Revision 1.31  2001/04/25 14:35:25  blues
- added tetex-latex to build-req

Revision 1.30  2001/03/19 19:47:00  baggins
- allow NETLINK extension to build

Revision 1.29  2001/03/19 19:44:44  baggins
- updated to 1.2.1a
- removed obsoleted CVS patch

Revision 1.28  2001/03/02 19:54:43  baggins
- release 6
- updated CVS patch
- added devel package

Revision 1.27  2001/02/22 18:37:58  waszi
- removed BuildRequires: mysql-devel

Revision 1.26  2001/02/20 17:18:41  baggins
- release 5
- news CVS patch

Revision 1.25  2001/02/19 18:08:10  baggins
- release 4
- added CVS patch
- added ipv6-icmp fix
- dropped rc.firewall script (use firewall-init-2.99.0/3.0.0)

Revision 1.24  2001/02/05 17:15:36  baggins
- release 3
- better psd (port scan detection) patch (match, not target)
- build all docs as txt and ps (html sucks)

Revision 1.23  2001/02/01 16:53:57  baggins
- release 2
- moved ulogd stuff into separate spec
- added PSD (port scan detection) patch

Revision 1.22  2001/01/08 09:49:37  misiek
- updated to 1.2

Revision 1.21  2000/10/24 20:29:15  baggins
- split mysql stuff into its own package

Revision 1.20  2000/10/20 20:33:05  misiek
- added BuildRequires:  mysql-devel

Revision 1.19  2000/10/20 19:40:55  misiek
- BuildRequires: sgmls added

Revision 1.18  2000/10/20 15:06:12  baggins
- updated to iptables 1.1.2 and ulog 0.3

Revision 1.17  2000/08/12 03:17:55  baggins
- release 3
- added ulogd patch
- simplified build

Revision 1.16  2000/08/10 18:42:01  baggins
- release 2
- spec adapterized
- added netfilter_ULOG to sources
- added ULOG target support to iptables
- added ulog daemon

Revision 1.15  2000/07/14 14:53:12  baggins
- typo

Revision 1.14  2000/07/14 14:21:27  baggins
- updated to 1.1.1
- removed obsoleted IPv6 patch

Revision 1.13  2000/07/04 14:30:36  baggins
- release 5
- rc.firewall now knows about IPv6

Revision 1.12  2000/07/04 13:00:22  baggins
- release 4
- added IPv6 functionality from CVS

Revision 1.11  2000/06/28 17:19:59  baggins
- release 3
- removed ipv6-enable patch
- added patch from CVS for real support of IPv6

Revision 1.10  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/30 20:28:18  baggins
- release 2
- IPv6 on

Revision 1.8  2000/05/18 17:57:20  baggins
- updated to 1.1.0

Revision 1.7  2000/04/06 16:08:44  baggins
- version 1.0.0

Revision 1.6  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/30 08:01:47  waszi
- updated for 1.0.0beta version

Revision 1.4  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.3  2000/03/27 15:44:25  misiek
- adaptized && fixed URL

Revision 1.2  2000/03/27 15:42:17  misiek
- added manuals
